Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
test::Result Struct Reference

Convenience structure to return test or operation results. More...

`import"testrpc.idl";`

## Public Attributes
int | code
| Result code.
string | errtext
| Descriptive error string.

## Detailed Description

Convenience structure to return test or operation results.

- There is a result code Typically 0 means OK 1 means Test Error 2 means Invalid Parameter However indivdual test may redefine or extend this definition
- There is a descriptive error string, which is empty in case test went OK

This structure is not neccessarily used for all operations but only for those where it comes in handy

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/testrpc.idl